FROM ghcr.io/astral-sh/uv:python3.13-bookworm-slim

RUN mkdir /app
WORKDIR /app

COPY . .

RUN uv sync --frozen

WORKDIR /app

CMD exec /app/.venv/bin/gunicorn \
    -w 4 \
    -k uvicorn.workers.UvicornWorker \
    "api:app" \
    -b "0.0.0.0:8081" \
    --log-config="/app/config/log.ini"
